<template>
  <div class="connectivity">
    <el-row>
      <el-button type="primary" size="mini">绘制线段</el-button>
      <el-button type="primary" size="mini">截断面分析</el-button>
      <el-button type="primary" size="mini">清除</el-button>
    </el-row>
    <el-card class="box-card">
      <span class="clearfix">管线查询结果</span>
      <el-table
          :data="tableData"
          style="width: 100%">
        <el-table-column
            prop="date"
            label="管线类型">
        </el-table-column>
        <el-table-column
            prop="name"
            label="管线名称">
        </el-table-column>
        <el-table-column
            prop="province"
            label="起点编号">
        </el-table-column>
        <el-table-column
            prop="city"
            label="终点编号">
        </el-table-column>
        <el-table-column
            class-name="fixed-table"
            fixed="right"
            label="操作">
        </el-table-column>
      </el-table>
      <span class="clearfix">断面图</span>
      <div class="cross-section">
        <span>暂无数据</span>
      </div>
    </el-card>
  </div>
</template>

<script>
export default {
  name: 'CrossSectional',
  data () {
    return {
      tableData: []
    }
  }
}
</script>

<style lang="less" scoped>
.cross-section {
  background: rgba(0, 16, 30, 0.5);
  border: 0.00521rem solid @color;
  box-shadow: 0 0 0.03rem @color;
  color: #ffffff;
  width: 100%;
  height: 50px;
  border-radius: 3px;
  text-align: center;
  line-height: 50px;
}
</style>
